import { DataTypes } from 'sequelize';
import sequelize from '../config/config.js';

const Dbname = sequelize.define('Dbname', {
  id: { type: DataTypes.INTEGER, primaryKey: true, autoIncrement: true },
  treelogy_id: { type: DataTypes.INTEGER, allowNull: false },
  dbname: { type: DataTypes.STRING(100), allowNull: false },
  locked: { type: DataTypes.STRING(50), allowNull: false },
  status: { type: DataTypes.SMALLINT, allowNull: false, defaultValue: 0 },
}, {
  tableName: 'dbname',
  schema: 'public',
  timestamps: false
});

export default Dbname;
